Bug 86500 - dns/ldapdns is broken (won't compile)
dns/ldapdns is broken (won't compile)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: mnag
Depends on:
  Show dependency treegraph
Reported: 2005-09-23 11:50 UTC by Carsten
Modified: 2005-10-16 20:02 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Carsten 2005-09-23 11:50:04 UTC
When doing a 'make' in $PORTSDIR/dns/ldapdns, it fails with the following error:

In file included from list.h:6,
                 from ldapdns.h:13,
                 from ldapdns.c:2:
error.h:26: warning: conflicting types for built-in function 'log'
ldapdns.c: In function `ldapdns_list_unique':
ldapdns.c:24: error: label at end of compound statement
*** Error code 1

Stop in /usr/ports/dns/ldapdns/work/ldapdns-2.05.
*** Error code 1

Stop in /usr/ports/dns/ldapdns/work/ldapdns-2.05.
*** Error code 1

Stop in /usr/ports/dns/ldapdns.
Comment 1 mnag freebsd_committer 2005-10-02 19:24:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 2 mnag freebsd_committer 2005-10-02 19:28:15 UTC
Dear maintainer,

Do you approve this update?



Marcus Alves Grando
marcus(at)corp.grupos.com.br  |  Grupos Internet S/A
  mnag(at)FreeBSD.org         |  FreeBSD.org
Comment 3 mnag freebsd_committer 2005-10-02 19:28:48 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 mnag freebsd_committer 2005-10-16 20:02:28 UTC
State Changed
From-To: feedback->closed

Fixed. Thanks.